unit wf_demou;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ComCtrls, Mask, RdWinFax, Menus, Buttons;

type
  TfrmMain = class(TForm)
    pnlFaxParams: TPanel;
    pnlRecip: TPanel;
    edtName: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    edtCompany: TEdit;
    edtFaxNo: TEdit;
    Label5: TLabel;
    pnlFaxInfo: TPanel;
    Label6: TLabel;
    edtSendDate: TMaskEdit;
    edtSendTime: TMaskEdit;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    edtBillingCode: TEdit;
    edtKeywords: TEdit;
    cbxShowSendScreen: TCheckBox;
    cbxHighRes: TCheckBox;
    Label11: TLabel;
    Label12: TLabel;
    edtSubject: TEdit;
    edtCoverPage: TEdit;
    Label13: TLabel;
    memCoverPageText: TMemo;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    Help1: TMenuItem;
    About1: TMenuItem;
    btnSend: TSpeedButton;
    btnAddRecipient: TSpeedButton;
    btnGetCover: TSpeedButton;
    OpenDialog1: TOpenDialog;
    lblRecipientCount: TLabel;
    btnShowRecipients: TSpeedButton;
    Label14: TLabel;
    rdWinFax1: TrdWinFax;
    procedure btnSendClick(Sender: TObject);
    procedure btnGetCoverClick(Sender: TObject);
    procedure btnAddRecipientClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnShowRecipientsClick(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
  private
    { Private declarations }
    function SetFaxInfo(Sender: TObject) : Boolean;
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses about;

{$R *.DFM}

procedure TfrmMain.btnSendClick(Sender: TObject);
begin
  If SetFaxInfo(Sender) then
    rdWinFax1.SendFax;
end;

function TfrmMain.SetFaxInfo(Sender: TObject) : Boolean;
begin
  Result := True;  // Assume Good

  If (rdWinFax1.RecipientCount = 0) AND (edtFaxNo.Text = '') then
  begin
    MessageDlg('Fax number required.', mtError, [mbOK],0);
    Result := False;
    Exit;
  end;

  with rdWinFax1 do begin
    Attention      := edtName.Text;
    Company        := edtCompany.Text;
    FaxNo          := edtFaxNo.Text;

    // do to the edit mask characteristics:
    If edtSendDate.Text = '  /  /  ' then
      DateToSend := ''
    else
      DateToSend     := edtSendDate.Text;

    // do to the edit mask characteristics:
    If edtSendTime.Text = '  :  ' then
      TimeToSend     := ''
    else
      TimeToSend     := edtSendTime.Text + ':00';

    BillingCode    := edtBillingCode.Text;
    Keywords       := edtKeywords.Text;
    HighResolution := cbxHighRes.Checked;
    ShowSendScreen := cbxShowSendScreen.Checked;
    CoverPage      := edtCoverPage.Text;
    Subject        := edtSubject.Text;
    CoverPageText  := memCoverPageText.Lines;
    CoverPageOnly  := True;  // Very important!
  end;  // with rdWinFax1 do begin
end;

procedure TfrmMain.btnGetCoverClick(Sender: TObject);
begin
  If OpenDialog1.Execute then
    edtCoverPage.Text := OpenDialog1.FileName;
end;

procedure TfrmMain.btnAddRecipientClick(Sender: TObject);
begin
  If NOT SetFaxInfo(Sender) then Exit;

  rdWinFax1.AddRecipient;

  If rdWinFax1.RecipientCount > 0 then
  begin
    If rdWinFax1.RecipientCount > 1 then
      lblRecipientCount.Caption := IntToStr(rdWinFax1.RecipientCount) + ' Recipients'
    else
      lblRecipientCount.Caption := IntToStr(rdWinFax1.RecipientCount) + ' Recipient';
  end
  else
    lblRecipientCount.Caption :=  '';

  edtName.Text    := '';
  edtCompany.Text := '';
  edtFaxNo.Text   := '';
  edtName.SetFocus;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  lblRecipientCount.Caption := '';
end;

procedure TfrmMain.btnShowRecipientsClick(Sender: TObject);
begin
  rdWinFax1.ShowRecipientList;

  If rdWinFax1.RecipientCount > 0 then
  begin
    If rdWinFax1.RecipientCount > 1 then
      lblRecipientCount.Caption := IntToStr(rdWinFax1.RecipientCount) + ' Recipients'
    else
      lblRecipientCount.Caption := IntToStr(rdWinFax1.RecipientCount) + ' Recipient';
  end
  else
    lblRecipientCount.Caption :=  '';
end;

procedure TfrmMain.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TfrmMain.About1Click(Sender: TObject);
begin
  AboutBox.ShowModal;
end;

end.
